Skip to main content
`Ctrl`+`K`

# SNESRegisterAll

Registers all of the nonlinear solver methods in the `SNES` package.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESRegisterAll(void)

Not Collective

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESRegisterDestroy()`

## Level

advanced

## Location

src/snes/interface/snesregi.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages